.block-save-recipe.has-background {
	padding: 24px;
}

.block-save-recipe .wpforms-container {
    margin: 0;
}

.block-save-recipe .wpforms-container.one-line .wpforms-form {
	display: grid;
	grid-template-columns: 2fr auto;
	grid-template-rows: auto auto;
	align-items: flex-end;
}

.block-save-recipe .wpforms-container.one-line .wpforms-form .wpforms-head-container {
	grid-column: 1/-1;
}

.block-save-recipe .wpforms-container.one-line .wpforms-form input[type=email] {
	height: 44px;
}

@media only screen and (max-width: 767px) {
	.block-save-recipe .wpforms-container.one-line .wpforms-submit-container {
		margin-bottom: 16px;
	}
}

/* Styles for shortcode version */
.cwp-save-recipe-shortcode {
	background-color: var(--wp--preset--color--quinary);
	grid-column: 1/-1;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 8px;
	margin-top: 32px;
	padding: 16px;
}

@media only screen and (min-width: 768px) {
	.cwp-save-recipe-shortcode {
		flex-direction: row;
	}
}

.cwp-save-recipe-shortcode .left {
	flex: 1 0 50%;
}

.cwp-save-recipe-shortcode__title {
	display: flex;
	gap: 8px;
}

@media only screen and (max-width: 767px) {
	.cwp-save-recipe-shortcode__title {
		justify-content: center;
	}
	.cwp-save-recipe-shortcode .left,
	.cwp-save-recipe-shortcode .right {
		min-width: 310px;
	}

	.cwp-save-recipe-shortcode .wpforms-field-container {
		flex-grow: 1;
	}
}

.cwp-save-recipe-shortcode__title .icon {
	fill: var(--wp--preset--color--primary);
}

.cwp-save-recipe-shortcode__title h4 {
	font-family: var(--wp--preset--font-family--system-sans-serif);
}

.cwp-save-recipe-shortcode__description {
	font-size: var(--wp--preset--font-size--tiny);
}

.cwp-save-recipe-shortcode div.wpforms-container.one-line .wpforms-form {
	display: flex;
}

.cwp-save-recipe-shortcode .wpforms-container {
	margin-bottom: 0;
}

.cwp-save-recipe-shortcode .wpforms-field-container {
	align-items: center;
}

.cwp-save-recipe-shortcode label.wpforms-field-label {
	display: none;
}

.cwp-save-recipe-shortcode input[type=email] {
	height: 44px;
}

.cwp-save-recipe-shortcode .wp-element-button {
	border-radius: 0;
	color: var(--wp--preset--color--background) !important;
	background-color: var(--wp--preset--color--primary) !important;
}

.cwp-save-recipe-shortcode div.wpforms-container.one-line .wpforms-submit-container {
	padding-top: 0;
	margin-top: 0;
}

.cwp-save-recipe-shortcode div.wpforms-container.one-line .wpforms-submit-container button[type=submit] {
	white-space: nowrap;
}

@media only screen and (min-width: 768px) {
	.cwp-save-recipe-shortcode div.wpforms-container.one-line .wpforms-form {
		grid-gap: 0;
	}
}
